curl --request POST \
--url https://api.shoppex.io/dev/v1/tickets/{uniqid}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'{
"data": {
"id": "<string>",
"uniqid": "<string>",
"shop_id": "<string>",
"customer_email": "<string>",
"invoice_id": "<string>",
"invoice_uniqid": "<string>",
"subject": "<string>",
"status": "OPEN",
"priority": "LOW",
"message_count": 123,
"last_message_at": 123,
"closed_at": 123,
"created_at": 123,
"updated_at": 123
}
}Adds a reply message to a ticket
curl --request POST \
--url https://api.shoppex.io/dev/v1/tickets/{uniqid}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'{
"data": {
"id": "<string>",
"uniqid": "<string>",
"shop_id": "<string>",
"customer_email": "<string>",
"invoice_id": "<string>",
"invoice_uniqid": "<string>",
"subject": "<string>",
"status": "OPEN",
"priority": "LOW",
"message_count": 123,
"last_message_at": 123,
"closed_at": 123,
"created_at": 123,
"updated_at": 123
}
}Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...
Ticket unique ID
Reply message (2-2000 characters)
2 - 2000Default Response
Show child attributes